## gsequencer 3.7.25

=== debian/changelog ===
gsequencer (3.7.25-1) unstable; urgency=medium

  * Upload to unstable

  [ Mattia Rizzolo ]
  * fix synopsis-is-a-sentence

  [ Joël Krähemann ]
  * New upstream version 3.7.25
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 14 Jan 2021 07:41:15 +0100

gsequencer (3.7.23-2) experimental; urgency=medium

  * new package gsequencer-data with architecture independent files
  * move architecture independent files away from gsequencer
  * install the new l10n files there

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 10 Jan 2021 22:20:29 +0100

gsequencer (3.7.23-1) unstable; urgency=medium

  * New upstream version 3.7.23
  * ignore the new l10n files for now: they are effectively empty and
    need to be installed into a new binary package

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 10 Jan 2021 19:11:17 +0100

## gsequencer 3.7.28

=== debian/changelog ===
gsequencer (3.7.28-1) unstable; urgency=medium

  * New upstream version 3.7.28
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 Jan 2021 17:54:54 +0100

## gsequencer 3.7.33

=== debian/changelog ===
gsequencer (3.7.33-1) unstable; urgency=medium

  * New upstream version 3.7.33

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 01 Feb 2021 07:10:51 +0100

=== debian/control ===
Source: gsequencer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 pkg-config,
 gettext,
 libcunit1-dev,
 libwebkit2gtk-4.0-dev,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 libcairo2-dev,
 libsoup2.4-dev,
 libgirepository1.0-dev (>= 1.39.0),
 xvfb,
 xauth,
 libx11-dev,
 libinstpatch-dev,
 libsndfile1-dev,
 libsamplerate-dev,
 libxml2-dev,
 ladspa-sdk,
 dssi-dev,
 lv2-dev,
 fftw3-dev,
 libasound2-dev [linux-any],
 liboss4-salsa-dev [!linux-any],
 oss4-dev [kfreebsd-any],
 libjack-dev,
 libpulse-dev,
 uuid-dev,
 docbook-xsl,
 docbook-xml,
 gtk-doc-tools,
 xsltproc,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://nongnu.org/gsequencer
Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer

Package: gsequencer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gsequencer-data (>= ${source:Upstream-Version}),
 gsequencer-data (<= ${source:Upstream-Version}+),
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
Suggests:
 hydrogen,
 hydrogen-drumkits,
 fluid-soundfont-gm,
 fluid-soundfont-gs,
 timgm6mb-soundfont,
Description: Advanced Gtk+ Sequencer audio processing engine
 Advanced GTK+ Sequencer is intended to be used for music composition.
 It features a piano roll, as well as a synth, matrix editor, drum
 machine, soundfont2 player, mixer and an output panel. It’s designed to
 be highly configurable. You may add effects to its effect chain; and
 add or remove audio channels/pads. You may set up a fully functional
 network of engines, thus there is a link editor for linking audio lines.

Package: gsequencer-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: gsequencer
Description: Documentation for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains the user manual that explains the GUI in html format of
 Advanced Gtk+ Sequencer.

Package: gsequencer-data
Architecture: all
Enhances: gsequencer
Depends: ${misc:Depends}
Replaces: gsequencer (<< 3.7.23-2)
Breaks: gsequencer (<< 3.7.23-2)
Description: Data files for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains architecture-independent supporting data files for use
 with GSequencer, such as l10n support files.

Package: libags3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Advanced Gtk+ Sequencer core library
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.

Package: libags-audio3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags3 (= ${binary:Version}),
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
Description: Advanced Gtk+ Sequencer audio processing library
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.

Package: libags-gui3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags3 (= ${binary:Version}),
Description: Advanced Gtk+ Sequencer widget library
 libags_gui is a widget library built upon Gtk+-3.0.
 It contains widgets like
  - LED
  - dial
  - indicator
  - cartesian
  - ruler

Package: libags-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-ags-3.0 (= ${binary:Version}),
 libags3 (= ${binary:Version}),
Suggests: libags-doc
Description: Advanced Gtk+ Sequencer core library (Development files)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-agsaudio-3.0 (= ${binary:Version}),
 libags-dev,
 libags-audio3 (= ${binary:Version}),
Suggests: libags-audio-doc
Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-agsgui-3.0 (= ${binary:Version}),
 libags-dev,
 libags-gui3 (= ${binary:Version}),
Suggests: libags-gui-doc
Description: Advanced Gtk+ Sequencer widget library (Development files)
 libags_gui is a widget library built upon Gtk+-3.0.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer UI widget library.

Package: gir1.2-ags-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer core library -- gir bindings
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: gir1.2-agsaudio-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer audio processing engine library -- gir bindings
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: gir1.2-agsgui-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer widget library -- gir bindings
 libags_gui is a widget library built upon Gtk+-3.0.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libags-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-dev
Description: Advanced Gtk+ Sequencer core library (API documentation)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-audio-dev
Description: Advanced Gtk+ Sequencer audio processing engine (API documentation)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-gui-dev
Description: Advanced Gtk+ Sequencer widget library (API documentation)
 libags_gui is a widget library built upon Gtk+-3.0.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer UI widget library.

## gsequencer 3.7.35

=== debian/changelog ===
gsequencer (3.7.35-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.7.35

  [ Mattia Rizzolo ]
  * Mark gsequencer-data as M-A:foreign.

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 09 Feb 2021 11:25:41 +0100

## gsequencer 3.7.38

=== debian/changelog ===
gsequencer (3.7.38-1) unstable; urgency=medium

  * New upstream version 3.7.38

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 16 Feb 2021 17:37:42 +0100

## gsequencer 3.7.44

=== meson_options.txt ===
# Plugins
# TODO: move all options here
# The options can be reconfigured inside build dir using
# ex. meson configure -Dalsa=false
option('alsa', type: 'boolean', value: false,
       description: 'Enable Linux alsa build')
option('w32api', type: 'boolean', value: false,
       description: 'Enable Windows build')
option('osxapi', type: 'boolean', value: false,
       description: 'Enable OSX build')
option('oss', type: 'boolean', value: false,
       description: 'Enable OSS')
option('core_audio', type: 'boolean', value: false,
       description: 'Enable core audio (OSX)')
option('jack', type: 'boolean', value: false,
       description: 'Enable jack')
option('pulse', type: 'boolean', value: false,
       description: 'Enable pulse')
option('wasapi', type: 'boolean', value: false,
       description: 'Enable wasapi (Windows)')
option('quartz', type: 'boolean', value: false,
       description: 'Enable quartz')
option('gstreamer', type: 'boolean', value: false,
       description: 'Enable gstreamer')
option('webkit', type: 'boolean', value: false,
       description: 'Enable webkit')
option('poppler', type: 'boolean', value: false,
       description: 'Enable poppler')

option('gtk_doc', type: 'boolean', value: 'false',
       description : 'Build API reference and tools documentation')

option('introspection', type: 'feature', value: 'auto', yield: true,
       description : 'Build introspection data (requires gobject-introspection)')

option('man_pages', type: 'boolean', value: 'false',
       description : 'Build man pages for installed tools')

option('online_help', type: 'boolean', value: 'false',
       description : 'Build online help')

=== debian/changelog ===
gsequencer (3.7.44-3) unstable; urgency=medium

  * removed rejected patches
  * minimal patch to fix Bug#983868
  * updated patches series file

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 13 Mar 2021 14:59:27 +0100

gsequencer (3.7.44-2) unstable; urgency=medium

  * add patch to fix undefined behavior or missing return if buffer NULL in
    utility functions
  * add patch to fix floating point number types
  * add patch to update chapter 2 of user manual

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 08 Mar 2021 18:44:04 +0100

gsequencer (3.7.44-1) unstable; urgency=medium

  * New upstream version 3.7.44

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 27 Feb 2021 19:16:33 +0100

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
 
 Package: gsequencer-data
 Architecture: all
+Multi-Arch: foreign
 Enhances: gsequencer
 Depends: ${misc:Depends}
 Replaces: gsequencer (<< 3.7.23-2)

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --disable-public-libgsequencer --enable-introspection --enable-libinstpatch --enable-upstream-gtk-doc --enable-gtk-doc --enable-gtk-doc-html

# provide some system dependent configuration as a C macro
CPPFLAGS += -DAGS_CSS_FILENAME=\"/usr/share/gsequencer/styles/ags.css\"
CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/gsequencer-800x450.png\"
CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
CPPFLAGS += -DAGS_ONLINE_HELP_START_FILENAME=\"file:///usr/share/doc/gsequencer-doc/html/index.html\"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp html
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp fix-local-html

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	find $$(pwd)/debian/tmp/usr/share -type f \
		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
		-delete
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-doc/api/libags
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgsequencer

override_dh_clean:
	find docs/ -type f -name "*.stamp" -delete
	find docs/ -type f \( \
		   -name "*-decl-list.txt" \
		-o -name "*-decl.txt" \
		-o -name "*-undeclared.txt" \
		-o -name "*-undocumented.txt" \
		-o -name "*-unused.txt" \
		\) -delete
	find docs/ -type f \( \
		   -name "*.args" \
		-o -name "*.hierarchy" \
		-o -name "*.prerequisites" \
		-o -name "*.signals" \
		\) -delete
	find docs/ -type d -name ".libs" -exec rm -rf {} +
	find docs/ -type d -name "tmpl" -exec rm -rf {} +
	dh_clean

# for integration tests (see tests/ags-integration-unit-test)
pre-integration-test:
	dh_autoreconf
	dh_auto_configure -- --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-run-functional-tests --enable-run-system-tests $(archconfflags)

## gsequencer 3.11.7

=== debian/changelog ===
gsequencer (3.11.7-1) unstable; urgency=medium

  * New upstream version 3.11.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 12 Sep 2021 08:52:05 +0200

gsequencer (3.11.5-1) unstable; urgency=medium

  * New upstream version 3.11.5
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 10 Sep 2021 11:03:28 +0200

gsequencer (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
    + Fix wrong ref-count leading to memory corruption.  Closes: #986290

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 20 Aug 2021 13:54:56 +0200

## gsequencer 3.12.3

=== debian/changelog ===
gsequencer (3.12.3-1) unstable; urgency=medium

  * New upstream version 3.12.3
  * removed ags_example.xml from debian/gsequencer.install
    because it needs to be updated
  * updated libags-gui3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 20 Oct 2021 02:14:25 +0200

## gsequencer 3.13.0

=== debian/changelog ===
gsequencer (3.13.0-1) unstable; urgency=medium

  * New upstream version 3.13.0

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 01 Dec 2021 04:32:04 +0100

gsequencer (3.12.6-1) unstable; urgency=medium

  * New upstream version 3.12.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 28 Oct 2021 23:04:20 +0200

## gsequencer 3.13.3

=== debian/changelog ===
gsequencer (3.13.3-1) unstable; urgency=medium

  * updated libags-audio3.symbols because new functions available
  * New upstream version 3.13.3
    + Fix ftbfs with -Werror=maybe-uninitialized. Closes: #983868
    + Fix ftbfs with -march=x86-64-v2. Closes: #983927

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 09 Dec 2021 09:25:53 +0100

## gsequencer 3.13.7

=== debian/changelog ===
gsequencer (3.13.7-1) unstable; urgency=medium

  * New upstream version 3.13.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 13 Dec 2021 11:31:49 +0100

## gsequencer 3.14.9

=== debian/changelog ===
gsequencer (3.14.9-1) unstable; urgency=medium

  * New upstream version 3.14.9
  * updated libags-audio3.symbols because new functions available
  * updated libags-gui3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 27 Dec 2021 06:24:36 +0100

## gsequencer 3.15.3

=== debian/changelog ===
gsequencer (3.15.3-1) unstable; urgency=medium

  * New upstream version 3.15.3
  * bumped standards version to 4.6.0
  * updated debian/gsequencer-data.install to package file gsequencer.svg
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 08 Jan 2022 09:01:27 +0100

gsequencer (3.14.11-1) unstable; urgency=medium

  * New upstream version 3.14.11
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 30 Dec 2021 21:18:13 +0100

## gsequencer 3.16.12

=== debian/changelog ===
gsequencer (3.16.12-1) unstable; urgency=medium

  * New upstream version 3.16.12
  * updated libags-audio3.symbols because new functions available
  * added autopkgtest audio config info in debian/README.source

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 22 Jan 2022 15:14:18 +0100

gsequencer (3.16.5-1) unstable; urgency=medium

  * New upstream version 3.16.5
  * updated debian/copyright to year 2022
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 15 Jan 2022 21:46:03 +0100

## gsequencer 3.17.2

=== debian/changelog ===
gsequencer (3.17.2-1) unstable; urgency=medium

  * New upstream version 3.17.2
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 07 Feb 2022 08:33:56 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

## gsequencer 3.18.2

=== meson_options.txt ===
--- 
+++ 
@@ -27,6 +27,9 @@
 option('poppler', type: 'boolean', value: false,
        description: 'Enable poppler')
 
+option('vst3', type: 'boolean', value: false,
+       description: 'Enable VST3')
+
 option('gtk_doc', type: 'boolean', value: 'false',
        description : 'Build API reference and tools documentation')

=== debian/changelog ===
gsequencer (3.18.2-1) unstable; urgency=medium

  * New upstream version 3.18.2

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 22 Feb 2022 04:12:46 +0100

gsequencer (3.17.7-1) unstable; urgency=medium

  * New upstream version 3.17.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 15 Feb 2022 18:28:07 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libgtk-3-dev,
  libcairo2-dev,
  libsoup2.4-dev,
- libgirepository1.0-dev (>= 1.39.0),
+ libgirepository1.0-dev,
  xvfb,
  xauth,
  libx11-dev,

## gsequencer 4.0.11

=== debian/changelog ===
gsequencer (4.0.11-1) unstable; urgency=medium

  * New upstream version 4.0.11
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 28 May 2022 11:07:46 +0200

gsequencer (4.0.5-1) experimental; urgency=medium

  * New upstream version 4.0.5
  * updated debian/control: move from gtk3 to gtk4 and libsoup-3.0-dev
  * modified version identifier of .gir in debian/*.install and d/control
  * update package names and symbols files after SONAME change.
  * update debian/copyright

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 24 May 2022 09:11:36 +0200

gsequencer (3.19.0-1) unstable; urgency=medium

  * New upstream version 3.19.0
  * Drop webkit2gtk-4.0 build-dep and instead add libpoppler-glib
  * Build and install the PDF documentation
  * Added dblatex build dependency

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 22 Apr 2022 13:45:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
  pkg-config,
  gettext,
  libcunit1-dev,
- libwebkit2gtk-4.0-dev,
+ libpoppler-glib-dev,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
  libgstreamer1.0-dev,
  libgstreamer-plugins-base1.0-dev,
- libgtk-3-dev,
+ libgtk-4-dev,
  libcairo2-dev,
- libsoup2.4-dev,
+ libsoup-3.0-dev,
  libgirepository1.0-dev,
+ dblatex,
  xvfb,
  xauth,
  libx11-dev,
@@ -97,7 +98,7 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags3
+Package: libags4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -111,14 +112,14 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio3
+Package: libags-audio4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags3 (= ${binary:Version}),
+ libags4 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -127,16 +128,16 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui3
+Package: libags-gui4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags3 (= ${binary:Version}),
+ libags4 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
- libags_gui is a widget library built upon Gtk+-3.0.
+ libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
   - LED
   - dial
@@ -150,8 +151,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-3.0 (= ${binary:Version}),
- libags3 (= ${binary:Version}),
+ gir1.2-ags-4.0 (= ${binary:Version}),
+ libags4 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -169,9 +170,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-3.0 (= ${binary:Version}),
+ gir1.2-agsaudio-4.0 (= ${binary:Version}),
  libags-dev,
- libags-audio3 (= ${binary:Version}),
+ libags-audio4 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -187,17 +188,17 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-3.0 (= ${binary:Version}),
+ gir1.2-agsgui-4.0 (= ${binary:Version}),
  libags-dev,
- libags-gui3 (= ${binary:Version}),
+ libags-gui4 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
- libags_gui is a widget library built upon Gtk+-3.0.
+ libags_gui is a widget library built upon Gtk+-4.0.
  .
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-3.0
+Package: gir1.2-ags-4.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -214,7 +215,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-3.0
+Package: gir1.2-agsaudio-4.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -229,7 +230,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-3.0
+Package: gir1.2-agsgui-4.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -237,7 +238,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Advanced Gtk+ Sequencer widget library -- gir bindings
- libags_gui is a widget library built upon Gtk+-3.0.
+ libags_gui is a widget library built upon Gtk+-4.0.
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
@@ -282,7 +283,7 @@
  ${misc:Depends},
 Recommends: libags-gui-dev
 Description: Advanced Gtk+ Sequencer widget library (API documentation)
- libags_gui is a widget library built upon Gtk+-3.0.
+ libags_gui is a widget library built upon Gtk+-4.0.
  .
  This package contains the API reference in html format of
  Advanced Gtk+ Sequencer UI widget library.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/gsequencer-800x450.png\"
 CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
 CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
-CPPFLAGS += -DAGS_ONLINE_HELP_START_FILENAME=\"file:///usr/share/doc/gsequencer-doc/html/index.html\"
+CPPFLAGS += -DAGS_ONLINE_HELP_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual.pdf\"
 
 %:
 	dh $@
@@ -39,6 +39,7 @@
 	dh_auto_build
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp html
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp fix-local-html
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp pdf
 
 override_dh_auto_test:
 	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test
@@ -46,6 +47,7 @@
 override_dh_auto_install:
 	dh_auto_install --no-parallel
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-pdf
 	find $$(pwd)/debian/tmp/usr/share -type f \
 		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
 		-delete
@@ -53,6 +55,9 @@
 	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
 	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
 	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete
+
+override_dh_compress:
+	dh_compress -Xuser-manual.pdf -A
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgsequencer

## gsequencer 4.2.0

=== debian/changelog ===
gsequencer (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * using fop instead of dblatex to generate PDFs
  * providing user manual as A4 and letter PDFs
  * providing developer manual as A4 and letter PDFs
  * edited debian/rules apply new env
  * added missing configure switch --with-poppler
  * added new symbols

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 05 Jun 2022 09:13:00 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libcairo2-dev,
  libsoup-3.0-dev,
  libgirepository1.0-dev,
- dblatex,
+ fop,
  xvfb,
  xauth,
  libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,15 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --disable-public-libgsequencer --enable-introspection --enable-libinstpatch --enable-upstream-gtk-doc --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-public-libgsequencer --enable-introspection --enable-libinstpatch --with-poppler --with-gtk-unix-print --enable-upstream-gtk-doc --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
 CPPFLAGS += -DAGS_CSS_FILENAME=\"/usr/share/gsequencer/styles/ags.css\"
 CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/gsequencer-800x450.png\"
 CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
 CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
-CPPFLAGS += -DAGS_ONLINE_HELP_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual.pdf\"
+CPPFLAGS += -DAGS_ONLINE_HELP_A4_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual-a4.pdf\"
+CPPFLAGS += -DAGS_ONLINE_HELP_LETTER_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual-letter.pdf\"
 
 %:
 	dh $@
@@ -57,7 +58,7 @@
 	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete
 
 override_dh_compress:
-	dh_compress -Xuser-manual.pdf -A
+	dh_compress -Xuser-manual-a4.pdf -Xuser-manual-letter.pdf -A
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgsequencer

## gsequencer 4.2.10

=== debian/changelog ===
gsequencer (4.2.10-1) unstable; urgency=medium

  [ Dennis Braun ]
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1

  [ Joël Krähemann ]
  * New upstream version 4.2.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 30 Jun 2022 11:28:26 +0200

## gsequencer 4.2.13

=== debian/changelog ===
gsequencer (4.2.13-1) unstable; urgency=medium

  * New upstream version 4.2.13

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 23 Jul 2022 13:31:02 +0200

## gsequencer 4.3.3

=== debian/changelog ===
gsequencer (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 31 Jul 2022 10:22:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,42 +7,42 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
- pkg-config,
+ docbook-xml,
+ docbook-xsl,
+ dssi-dev,
+ fftw3-dev,
+ fop,
  gettext,
- libcunit1-dev,
- libpoppler-glib-dev,
+ gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
- gstreamer1.0-plugins-bad,
+ gtk-doc-tools,
+ ladspa-sdk,
+ libasound2-dev [linux-any],
+ libcairo2-dev,
+ libcunit1-dev,
+ libgirepository1.0-dev,
  libgstreamer1.0-dev,
  libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev,
- libcairo2-dev,
+ libinstpatch-dev,
+ libjack-jackd2-dev | libjack-dev,
+ liboss4-salsa-dev [!linux-any],
+ libpoppler-glib-dev,
+ libpulse-dev,
+ libsamplerate-dev,
+ libsndfile1-dev,
  libsoup-3.0-dev,
- libgirepository1.0-dev,
- fop,
+ libx11-dev,
+ libxml2-dev,
+ lv2-dev,
+ oss4-dev [kfreebsd-any],
+ pkg-config,
+ uuid-dev,
+ xauth,
+ xsltproc,
  xvfb,
- xauth,
- libx11-dev,
- libinstpatch-dev,
- libsndfile1-dev,
- libsamplerate-dev,
- libxml2-dev,
- ladspa-sdk,
- dssi-dev,
- lv2-dev,
- fftw3-dev,
- libasound2-dev [linux-any],
- liboss4-salsa-dev [!linux-any],
- oss4-dev [kfreebsd-any],
- libjack-dev,
- libpulse-dev,
- uuid-dev,
- docbook-xsl,
- docbook-xml,
- gtk-doc-tools,
- xsltproc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

## gsequencer 4.4.1

=== debian/changelog ===
gsequencer (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * updated libags-audio4.symbols because new symbol available
  * updated upstream's signing-key.asc with my new key

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 16 Sep 2022 05:57:45 +0200

## gsequencer 4.4.3

=== meson_options.txt ===
--- 
+++ 
@@ -22,10 +22,10 @@
        description: 'Enable quartz')
 option('gstreamer', type: 'boolean', value: false,
        description: 'Enable gstreamer')
-option('webkit', type: 'boolean', value: false,
-       description: 'Enable webkit')
 option('poppler', type: 'boolean', value: false,
        description: 'Enable poppler')
+option('gtk_unix_print', type: 'boolean', value: false,
+       description: 'Enable gtk unix print')
 
 option('vst3', type: 'boolean', value: false,
        description: 'Enable VST3')

=== debian/changelog ===
gsequencer (4.4.3-1) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig ]
  * Remove myself from uploaders.

  [ Bas Couwenberg ]
  * New upstream release.
  * Build depend on libfftw3-dev, fftw3-dev no longer provided.
    (closes: #1025308, #1025743)
  * Add Build-Depends-Package field to symbols files.
  * Enable all hardening buildflags.
  * Update lintian overrides.
  * Use upstream version without debian revision when generating symbols.
  * Update symbols for 4.4.3.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Dec 2022 17:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
  docbook-xml,
  docbook-xsl,
  dssi-dev,
- fftw3-dev,
+ libfftw3-dev,
  fop,
  gettext,
  gstreamer1.0-plugins-bad,

## gsequencer 5.3.8

=== debian/changelog ===
gsequencer (5.3.8-1) experimental; urgency=medium

  * New upstream version 5.3.8
  * updated libags5.symbols because new functions available
  * updated libags-audio5.symbols because new objects and functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 15 Jun 2023 10:38:23 +0200

gsequencer (5.3.1-1) experimental; urgency=medium

  * New upstream version 5.3.1
  * rename library package names due to new major release
  * updated signing key
  * modified debian/libags5.symbols all symbols with new major version
  * modified debian/libags-audio5.symbols all symbols with new major version
  * modified debian/libags-gui5.symbols all symbols with new major version
  * added libjson-glib-dev dependency

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 06 Jun 2023 23:01:24 +0200

## gsequencer 5.5.2

=== debian/changelog ===
gsequencer (5.5.2-1) unstable; urgency=medium

  * New upstream version 5.5.2
  * updated libags5.symbols because new functions available
  * updated libags-audio5.symbols because new functions available
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 09 Aug 2023 12:24:06 +0200

## gsequencer 5.5.3

=== debian/changelog ===
gsequencer (5.5.3-1) unstable; urgency=medium

  * New upstream version 5.5.3
  * removed patch because applied upstream

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 10 Aug 2023 13:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  docbook-xml,
  docbook-xsl,
  dssi-dev,
- libfftw3-dev,
  fop,
  gettext,
  gstreamer1.0-plugins-bad,
@@ -20,6 +19,7 @@
  libasound2-dev [linux-any],
  libcairo2-dev,
  libcunit1-dev,
+ libfftw3-dev,
  libgirepository1.0-dev,
  libgstreamer1.0-dev,
  libgstreamer-plugins-base1.0-dev,
@@ -34,6 +34,7 @@
  libsoup-3.0-dev,
  libx11-dev,
  libxml2-dev,
+ libjson-glib-dev,
  lv2-dev,
  oss4-dev [kfreebsd-any],
  pkg-config,
@@ -97,7 +98,7 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags4
+Package: libags5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -111,14 +112,14 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio4
+Package: libags-audio5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags4 (= ${binary:Version}),
+ libags5 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -127,14 +128,14 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui4
+Package: libags-gui5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags4 (= ${binary:Version}),
+ libags5 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -150,8 +151,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-4.0 (= ${binary:Version}),
- libags4 (= ${binary:Version}),
+ gir1.2-ags-5.0 (= ${binary:Version}),
+ libags5 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -169,9 +170,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-4.0 (= ${binary:Version}),
+ gir1.2-agsaudio-5.0 (= ${binary:Version}),
  libags-dev,
- libags-audio4 (= ${binary:Version}),
+ libags-audio5 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -187,9 +188,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-4.0 (= ${binary:Version}),
+ gir1.2-agsgui-5.0 (= ${binary:Version}),
  libags-dev,
- libags-gui4 (= ${binary:Version}),
+ libags-gui5 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -197,7 +198,7 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-4.0
+Package: gir1.2-ags-5.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -214,7 +215,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-4.0
+Package: gir1.2-agsaudio-5.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -229,7 +230,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-4.0
+Package: gir1.2-agsgui-5.0
 Section: introspection
 Architecture: any
 Multi-Arch: same

## gsequencer 6.1.3

=== debian/changelog ===
gsequencer (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Update symbols

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 04 Oct 2023 02:00:01 +0200

gsequencer (6.0.13-1) unstable; urgency=medium

  * New upstream version 6.0.13

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 Sep 2023 01:33:37 +0200

gsequencer (6.0.10-1) unstable; urgency=medium

  * New upstream version 6.0.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 07 Sep 2023 16:15:28 +0200

gsequencer (6.0.9-1) unstable; urgency=medium

  * New upstream version 6.0.9
  * updated upstream signing key
  * Upload Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 05 Sep 2023 12:52:04 +0200

gsequencer (6.0.1-1) experimental; urgency=medium

  * New upstream version 6.0.1
  * update package names and symbols files after SONAME change.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 21 Aug 2023 16:23:12 +0200

## gsequencer 6.2.5

=== debian/changelog ===
gsequencer (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5
  * updated signing key
  * updated libags-audio6.symbols because new functions available
  * updated libags6.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 20 Dec 2023 17:40:14 +0100

=== debian/control ===
--- 
+++ 
@@ -98,7 +98,7 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags5
+Package: libags6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -112,14 +112,14 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio5
+Package: libags-audio6
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags5 (= ${binary:Version}),
+ libags6 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -128,14 +128,14 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui5
+Package: libags-gui6
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags5 (= ${binary:Version}),
+ libags6 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -151,8 +151,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-5.0 (= ${binary:Version}),
- libags5 (= ${binary:Version}),
+ gir1.2-ags-6.0 (= ${binary:Version}),
+ libags6 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -170,9 +170,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-5.0 (= ${binary:Version}),
+ gir1.2-agsaudio-6.0 (= ${binary:Version}),
  libags-dev,
- libags-audio5 (= ${binary:Version}),
+ libags-audio6 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -188,9 +188,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-5.0 (= ${binary:Version}),
+ gir1.2-agsgui-6.0 (= ${binary:Version}),
  libags-dev,
- libags-gui5 (= ${binary:Version}),
+ libags-gui6 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -198,7 +198,7 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-5.0
+Package: gir1.2-ags-6.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -215,7 +215,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-5.0
+Package: gir1.2-agsaudio-6.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -230,7 +230,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-5.0
+Package: gir1.2-agsgui-6.0
 Section: introspection
 Architecture: any
 Multi-Arch: same

## gsequencer 6.3.5

=== debian/changelog ===
gsequencer (6.3.5-1) unstable; urgency=medium

  * New upstream version 6.3.5
  * updated standards version to 4.6.2
  * replaced spelling error string in libags-audio6.lintian-overrides
  * updated copyright years
  * replaced signing key
  * updated libags6.symbols because new functions available
  * updated libags-audio6.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 27 Jan 2024 10:31:04 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  xauth,
  xsltproc,
  xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

## gsequencer 6.5.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,8 +6,12 @@
        description: 'Enable Linux alsa build')
 option('w32api', type: 'boolean', value: false,
        description: 'Enable Windows build')
+option('w32-exe-env', type: 'boolean', value: false,
+       description: 'Enable Windows exe environment')
 option('osxapi', type: 'boolean', value: false,
        description: 'Enable OSX build')
+option('osx-dmg-env', type: 'boolean', value: false,
+       description: 'Enable OS X DMG environment')
 option('oss', type: 'boolean', value: false,
        description: 'Enable OSS')
 option('core_audio', type: 'boolean', value: false,

=== debian/changelog ===
gsequencer (6.5.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:15:52 +0000

gsequencer (6.5.2-1build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:37:00 +1300

gsequencer (6.5.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:48:07 +0000

gsequencer (6.5.2-1) unstable; urgency=medium

  * New upstream version 6.5.2
  * Change build dependency from pkg-config to pkgconf

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 29 Feb 2024 13:01:02 +0100

gsequencer (6.3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062181

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:13:14 +0000

## gsequencer 6.7.3

=== debian/changelog ===
gsequencer (6.7.3-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.7.3
  * updated debian/libags6t64.symbols because new symbols available
  * updated debian/libags-gui6t64.symbols because new symbols available

  [ Mattia Rizzolo ]
  * Fix package-name-doesnt-match-sonames override context.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 15 Apr 2024 06:16:13 +0200
